[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: aclocal flags are a pain

From: Ralf Wildenhues
Subject: Re: aclocal flags are a pain
Date: Wed, 17 Sep 2008 23:47:17 +0200
User-agent: Mutt/1.5.18 (2008-05-17)

* Behdad Esfahbod wrote on Wed, Sep 17, 2008 at 08:40:31AM CEST:
> Ralf Wildenhues wrote:
> > 
> > Not sure what you're after here.  The tools themselves will bail out
> > anyway if they are too old (discounting automake 1.4 here).  What's
> > the gain of having autoreconf bail out?
> Right.  May have been old cruft for automake 1.4.  I also see that libtoolize
> doesn't do the check.  Then again, the AC_PROG_LIBTOOL does not take a
> version either, but for some reason we needed to add a check.  I just
> pass [1.4] to my AC_PROG_LIBTOOL and use the same shell function to
> extract and enforce that version in autogen.sh.

Please get accustomed to not being in 2006 any more, and use LT_INIT and
LT_PREREQ from Libtool 2.2.x.  Do NOT pass arguments to AC_PROG_LIBTOOL:
the API did not define them, which pretty much amounts to: we can extend
the API later to have them have some meaning.  In fact, that has already


reply via email to

[Prev in Thread] Current Thread [Next in Thread]